Subject: bug#12602: closed (Re: bug#12602: bug in chmod)

From: [email-masked] (GNU bug Tracking System)
Date: Mon, 08 Oct 2012 16:52:03 +0000

Your bug report

#12602: bug in chmod

which was filed against the coreutils package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
12602: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=12602
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#12602: bug in chmod
From: Eric Blake <[email-masked]>
To: Гальченко Алексей <[email-masked]>
Cc: [email-masked]
Date: Mon, 08 Oct 2012 10:50:54 -0600
List-Id: <debbugs-submit.debbugs.gnu.org>

tag 12602 notabug
thanks

On 10/08/2012 09:29 AM, Гальченко Алексей wrote:
> root@desktop:/home/user# chmod a+r *
> chmod: неизвестный ключ «--else»
> Попробуйте `chmod --help' для получения более подробного описания.

Thanks for the report.  However, I suspect that what happened is that
you have a file in your current working directory whose name starts with
'-', and was therefore treated as an option.  If I'm right, then this
FAQ covers the situation:
https://www.gnu.org/software/coreutils/faq/#I-have-a-file-_0027_002df_0027-and-it-affects-rm_002e

and you can use either of these constructs to avoid the issue:

chmod a+r ./*
chmod a+r -- *

-- 
Eric Blake   [email-masked]    +1-919-301-3266
Libvirt virtualization library http://libvirt.org

Subject: bug in chmod
From: Гальченко Алексей<[email-masked]>
To: [email-masked]
Date: Mon, 08 Oct 2012 18:29:33 +0300
List-Id: <debbugs-submit.debbugs.gnu.org>

root@desktop:/home/user# chmod a+r *
chmod: неизвестный ключ «--else»
Попробуйте `chmod --help' для получения более подробного описания.